<?php
function bizwhoop_homepage_setting( $wp_customize ) { 

	/* Option list of all post */  
    $options_pages = array();
    $options_pages_obj = get_pages('posts_per_page=-1');
    $options_pages[''] = __( 'Choose Page', 'bizwhoop' );
    foreach ( $options_pages_obj as $posts ) {
    	$options_pages[$posts->ID] = $posts->post_title;
    } 

	$service_pages = array();
    $service_pages_obj = get_pages('posts_per_page=-1');
    $service_pages[''] = __( 'Choose Page', 'bizwhoop' );
    foreach ( $service_pages_obj as $posts ) {
    	$service_pages[$posts->ID] = $posts->post_title;
    } 

			$wp_customize->add_panel( 'homepage_setting', array(
                'priority'       => 400,
                'capability'     => 'edit_theme_options',
                'title'      => __('Homepage Settings', 'bizwhoop'),
            ) );

            /* --------------------------------------
            =========================================
            Slider Section
            =========================================
            -----------------------------------------*/ 
            $wp_customize->add_section(
                'bizwhoop_slider_section_settings', array(
                'title' => __('Slider Setting','bizwhoop'),
                'description' => '',
                'panel'  => 'homepage_setting',
            ) );
            
            
            //Enable slider
            $wp_customize->add_setting(
                'bizwhoop_slider_enable', 
				array(
                'capability'     => 'edit_theme_options',
                'sanitize_callback' => 'bizwhoop_homepage_sanitize_checkbox',
            ) );    
            $wp_customize->add_control( 
                'bizwhoop_slider_enable', array(
                'label'   => __('Enable Slider Section','bizwhoop'),
                'section' => 'bizwhoop_slider_section_settings',
                'type' => 'checkbox',
            ) );
            
            //Select Post One
            $wp_customize->add_setting('slider_post_one',array(
                'capability'=>'edit_theme_options',
                'sanitize_callback'=>'sanitize_text_field',
            ));
            
            $wp_customize->add_control('slider_post_one',array(
                'label' => __('Select Page One','bizwhoop'),
                'section'=>'bizwhoop_slider_section_settings',
                'type'=>'select',
                'choices'=>$options_pages,
            ));
            
            //Select Post Two
            $wp_customize->add_setting('slider_post_two',array(
                'capability'=>'edit_theme_options',
                'sanitize_callback'=>'sanitize_text_field',
            ));
            
            $wp_customize->add_control('slider_post_two',array(
                'label' => __('Select Page Two','bizwhoop'),
                'section'=>'bizwhoop_slider_section_settings',
                'type'=>'select',
                'choices'=>$options_pages,
            ));
            
            //Select Post Three
            $wp_customize->add_setting('slider_post_three',array(
                'capability'=>'edit_theme_options',
                'sanitize_callback'=>'sanitize_text_field',
            ));
            
            $wp_customize->add_control('slider_post_three',array(
                'label' => __('Select Page Three','bizwhoop'),
                'section'=>'bizwhoop_slider_section_settings',
                'type'=>'select',
                'choices'=>$options_pages,
            ));

		    /* --------------------------------------
		    =========================================
		    Serice Section
		    =========================================
		    -----------------------------------------*/  
		    // add section to manage Services
		    $wp_customize->add_section(
		        'bizwhoop_service_section_settings', array(
		        'title' => __('Service Setting','bizwhoop'),
		        'panel'  => 'homepage_setting',
		    ) );

            //Enable service
            $wp_customize->add_setting(
                'bizwhoop_service_enable', array(
                'capability'     => 'edit_theme_options',
                'sanitize_callback' => 'bizwhoop_homepage_sanitize_checkbox',
            ) );    
            $wp_customize->add_control( 
                'bizwhoop_service_enable', array(
                'label'   => __('Enable Service Section','bizwhoop'),
                'section' => 'bizwhoop_service_section_settings',
                'type' => 'checkbox',
            ) );

            //Service Title setting
		   	$wp_customize->add_setting(
                'bizwhoop_service_title', array(
                'capability'     => 'edit_theme_options',
                'sanitize_callback' => 'bizwhoop_homepage_sanitize_text',
            ) );	
            $wp_customize->add_control( 
            	'bizwhoop_service_title',array(
                'label'   => __('Service Title','bizwhoop'),
                'section' => 'bizwhoop_service_section_settings',
                'type' => 'text',
            ) );

            //Service SubTitle setting
            $wp_customize->add_setting(
                'bizwhoop_service_subtitle', array(
                'capability'     => 'edit_theme_options',
                'sanitize_callback' => 'bizwhoop_homepage_sanitize_text',
            ) );  
            $wp_customize->add_control( 'bizwhoop_service_subtitle', array(
                'label'   => __('Service Subtitle','bizwhoop'),
                'section' => 'bizwhoop_service_section_settings',
                'type' => 'textarea',
            ) );
			
			
			 //Select Service One
            $wp_customize->add_setting('service_post_one',array(
                'capability'=>'edit_theme_options',
                'sanitize_callback'=>'sanitize_text_field',
            ));
            
            $wp_customize->add_control('service_post_one',array(
                'label' => __('Select Service One','bizwhoop'),
                'section'=>'bizwhoop_service_section_settings',
                'type'=>'select',
                'choices'=>$service_pages,
            ));
            
            //Select Post Two
            $wp_customize->add_setting('service_post_two',array(
                'capability'=>'edit_theme_options',
                'sanitize_callback'=>'sanitize_text_field',
            ));
            
            $wp_customize->add_control('service_post_two',array(
                'label' => __('Select Service Two','bizwhoop'),
                'section'=>'bizwhoop_service_section_settings',
                'type'=>'select',
                'choices'=>$service_pages,
            ));
            
            //Select Post Three
            $wp_customize->add_setting('service_post_three',array(
                'capability'=>'edit_theme_options',
                'sanitize_callback'=>'sanitize_text_field',
            ));
            
            $wp_customize->add_control('service_post_three',array(
                'label' => __('Select Service Three','bizwhoop'),
                'section'=>'bizwhoop_service_section_settings',
                'type'=>'select',
                'choices'=>$service_pages,
            ));

            
	function bizwhoop_homepage_sanitize_text( $input ) {

    return wp_kses_post( force_balance_tags( $input ) );

	}
	
	
	function bizwhoop_homepage_sanitize_checkbox( $input ) {
	// Boolean check 
	return ( ( isset( $input ) && true == $input ) ? true : false );
	}
}
add_action( 'customize_register', 'bizwhoop_homepage_setting' );
?>